org.crosswire.jsword.book.filter.gbf

## Class GBFFilter

- java.lang.Object
- - org.crosswire.jsword.book.filter.gbf.GBFFilter

- All Implemented Interfaces:
    Cloneable, SourceFilter

      public class GBFFilter
      extends Object
      implements SourceFilter

  Filter to convert GBF data to OSIS format. The best place to go for more information about the GBF spec is: http://ebible.org/bible/gbf.htm
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static String` | `SEPARATORS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GBFFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GBFFilter` | `clone()` This needs to be declared here so that it is visible as a method on a derived Filter.
    `private List<Tag>` | `parseTags(Book book, Key key, String aRemains)` Turn the string into a list of tags in the order that they appear in the original string.
    `List<org.jdom2.Content>` | `toOSIS(Book book, Key key, String plain)` Converter from plain (encoded) text to OSIS data

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEPARATORS

          private static final String SEPARATORS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GBFFilter

          public GBFFilter()

  - ### Method Detail

    - #### toOSIS

          public List<org.jdom2.Content> toOSIS(Book book,
                                       Key key,
                                       String plain)

      Description copied from interface: `SourceFilter`
      Converter from plain (encoded) text to OSIS data
      Specified by:
        `toOSIS` in interface `SourceFilter`
      Parameters:
        `book` - the book
        `key` - The key for the text
        `plain` - The encoded text
      Returns:
        a List of OSIS Elements

    - #### clone

          public GBFFilter clone()

      Description copied from interface: `SourceFilter`
      This needs to be declared here so that it is visible as a method on a derived Filter.
      Specified by:
        `clone` in interface `SourceFilter`
      Overrides:
        `clone` in class `Object`
      Returns:
        A complete copy of ourselves

    - #### parseTags

          private List<Tag> parseTags(Book book,
                            Key key,
                            String aRemains)

      Turn the string into a list of tags in the order that they appear in the original string.